mptscsih_qcmd
Prev | Fusion message devices | Next

## Name

mptscsih_qcmd — Primary Fusion MPT SCSI initiator IO start routine.

## Synopsis

`int mptscsih_qcmd (` | struct scsi_cmnd * | SCpnt,
| void (* | done`(`struct scsi_cmnd *`)``)`;

## Arguments

`SCpnt`

  Pointer to scsi_cmnd structure

`done`

  Pointer SCSI mid-layer IO completion function

## Description

(linux scsi_host_template.queuecommand routine) This is the primary SCSI IO start routine. Create a MPI SCSIIORequest from a linux scsi_cmnd request and send it to the IOC.

Returns 0. (rtn value discarded by linux scsi mid-layer)

Prev | Up | Next
mptscsih_proc_info | Home | mptscsih_TMHandler